1.2

1.2

get /v1/apis/{api_id}/auths

Description

인증 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathapi_id
required
Api ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKAuthListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/apis/{api_id}/auths

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = apigateway 1.2"

Example HTTP response

Response 200

{
    "auths": [
        {
            "auth_method": "JWT(JSON WEB Token)",
            "connected_stages": [
                "dev,stg"
            ],
            "expired_at": "2024-05-17T00:23:17Z",
            "id": "27bb070b564349f8a31cc60734cc36a5",
            "name": "Token01"
        }
    ],
    "count": 20
}